package com.example.tdl.domain.vo;

import java.util.List;

public class ConfigCMDVo {

    private String action;

    private Integer gpsPeriod;

    private Integer gprsPeriod;

    private List<String> devList;

    private Integer mode; //1为运输，2位仓储

    private Long t;//配置时的时间戳

    public ConfigCMDVo() {
    }

    public ConfigCMDVo(String action, Integer gpsPeriod, Integer gprsPeriod, List<String> devList, Integer mode) {
        this.action = action;
        this.gpsPeriod = gpsPeriod;
        this.gprsPeriod = gprsPeriod;
        this.devList = devList;
        this.mode = mode;
    }

    public ConfigCMDVo(String action, Integer gpsPeriod, Integer gprsPeriod, List<String> devList, Integer mode, Long t) {
        this.action = action;
        this.gpsPeriod = gpsPeriod;
        this.gprsPeriod = gprsPeriod;
        this.devList = devList;
        this.mode = mode;
        this.t = t;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public Integer getGpsPeriod() {
        return gpsPeriod;
    }

    public void setGpsPeriod(Integer gpsPeriod) {
        this.gpsPeriod = gpsPeriod;
    }

    public Integer getGprsPeriod() {
        return gprsPeriod;
    }

    public void setGprsPeriod(Integer gprsPeriod) {
        this.gprsPeriod = gprsPeriod;
    }

    public List<String> getDevList() {
        return devList;
    }

    public void setDevList(List<String> devList) {
        this.devList = devList;
    }

    public Integer getMode() {
        return mode;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public Long getT() {
        return t;
    }

    public void setT(Long t) {
        this.t = t;
    }
}
