package com.example.tdl.entity;

import java.io.Serializable;

/*
* 仓库表
*
* */
public class Warehouse implements Serializable {

    private Serializable serializable = 1L;

    private Integer id;

    private String warehouseName;

    private String warehouseNo;//仓库编号

    private String country;

    private String province;

    private String city;

    private String district;

    private String address;

    private String regionCN;//区域中文

    private String regionEN;//区域英文

    private String longitude;//经度

    private String latitude;//纬度

    private String property;//属性

    private String type;//类型

    private String alarmType;

    private String hardwareLevel;//硬件等级

    private Double areaIndoor;//室内平面面积

    private Double areaRack;//货架面积

    private Double areaOutdoor;//实际室内总面积

    private Double areaPlanIndoor;//实际室内总面积

    private String office;//办事处

    private Integer timeZone;//时区

    private String weatherInfo;//区域气象信息

    private String warehouseInfo;//基础描述

    private Long createTime;

    private Long updateTime;

    private String remark;

    public Warehouse() {
    }

    public Warehouse( String warehouseName, String warehouseNo, String country, String province, String city, String district, String address, String regionCN, String regionEN, String longitude, String latitude, String property, String type, String alarmType, String hardwareLevel, Double areaIndoor, Double areaRack, Double areaOutdoor, Double areaPlanIndoor, String office, Integer timeZone, String weatherInfo, String warehouseInfo, Long createTime, Long updateTime, String remark) {
        this.warehouseName = warehouseName;
        this.warehouseNo = warehouseNo;
        this.country = country;
        this.province = province;
        this.city = city;
        this.district = district;
        this.address = address;
        this.regionCN = regionCN;
        this.regionEN = regionEN;
        this.longitude = longitude;
        this.latitude = latitude;
        this.property = property;
        this.type = type;
        this.alarmType = alarmType;
        this.hardwareLevel = hardwareLevel;
        this.areaIndoor = areaIndoor;
        this.areaRack = areaRack;
        this.areaOutdoor = areaOutdoor;
        this.areaPlanIndoor = areaPlanIndoor;
        this.office = office;
        this.timeZone = timeZone;
        this.weatherInfo = weatherInfo;
        this.warehouseInfo = warehouseInfo;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.remark = remark;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseNo() {
        return warehouseNo;
    }

    public void setWarehouseNo(String warehouseNo) {
        this.warehouseNo = warehouseNo;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRegionCN() {
        return regionCN;
    }

    public void setRegionCN(String regionCN) {
        this.regionCN = regionCN;
    }

    public String getRegionEN() {
        return regionEN;
    }

    public void setRegionEN(String regionEN) {
        this.regionEN = regionEN;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getHardwareLevel() {
        return hardwareLevel;
    }

    public void setHardwareLevel(String hardwareLevel) {
        this.hardwareLevel = hardwareLevel;
    }

    public Double getAreaIndoor() {
        return areaIndoor;
    }

    public void setAreaIndoor(Double areaIndoor) {
        this.areaIndoor = areaIndoor;
    }

    public Double getAreaRack() {
        return areaRack;
    }

    public void setAreaRack(Double areaRack) {
        this.areaRack = areaRack;
    }

    public Double getAreaOutdoor() {
        return areaOutdoor;
    }

    public void setAreaOutdoor(Double areaOutdoor) {
        this.areaOutdoor = areaOutdoor;
    }

    public Double getAreaPlanIndoor() {
        return areaPlanIndoor;
    }

    public void setAreaPlanIndoor(Double areaPlanIndoor) {
        this.areaPlanIndoor = areaPlanIndoor;
    }

    public String getOffice() {
        return office;
    }

    public void setOffice(String office) {
        this.office = office;
    }

    public Integer getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(Integer timeZone) {
        this.timeZone = timeZone;
    }

    public String getWeatherInfo() {
        return weatherInfo;
    }

    public void setWeatherInfo(String weatherInfo) {
        this.weatherInfo = weatherInfo;
    }

    public String getWarehouseInfo() {
        return warehouseInfo;
    }

    public void setWarehouseInfo(String warehouseInfo) {
        this.warehouseInfo = warehouseInfo;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
