package com.example.tdl.mapper;

import com.example.tdl.domain.vo.AddProbesModelInfoVo;
import com.example.tdl.domain.vo.ResultProbesModelInfoVo;
import com.example.tdl.domain.vo.UpdateProbesModelInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ProbesModelInfoMapper {

    List<ResultProbesModelInfoVo> getAll(String probesModelName);

    int getCountByProbesModelName(Integer probesModelId);

    int addProbesModelInfo(AddProbesModelInfoVo addProbesModelInfoVo);

    int delProbesModelInfo(Map<String, Object> map);

    int updateProbesModelInfo(UpdateProbesModelInfoVo updateProbesModelInfoVo);

    ResultProbesModelInfoVo getByAlias(@Param("probesModelId") Integer probesModelId, @Param("alias") String alias);

    ResultProbesModelInfoVo getByPort(@Param("probesModelId") Integer probesModelId, @Param("port") Integer port);




//    int delAllDevChannelModule(Map<String, String> map);

//    int updateMoreDevChannelModule(Map<String,Object> map);
}
