package com.example.tdl.mapper;

import com.example.tdl.domain.vo.GatewaySNAndTypeVo;
import com.example.tdl.domain.vo.ResultTopicVo;
import com.example.tdl.domain.vo.UpdateTopicVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface TopicMapper{

    List<ResultTopicVo> getByGateway(GatewaySNAndTypeVo gatewaySNAndTypeVo);

    ResultTopicVo getByTopicName(@Param("SN") String SN, @Param("type") String type,@Param("topicName") String topicName);

    int addTopic(Map<String, Object> map);

    int updateTopic(UpdateTopicVo updateTopicVo);

    int delTopic(Map<String, Object> map);


//    List<TopicResultVo> getTopicByCompanyName(String companyName);

//    List<TopicVo> getTypeByDevcie(String SN, String type);

//    List<Topic> getAll(Device device);

}
