package com.example.tdl.mapper;


import com.example.tdl.domain.vo.DelAlarmVo;
import com.example.tdl.domain.vo.ResultWarehouseVo;
import com.example.tdl.domain.vo.UpdateWarehouseVo;
import com.example.tdl.domain.vo.WarehouseTermVo;
import com.example.tdl.entity.Warehouse;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


@Mapper
public interface WarehouseMapper {
    List<ResultWarehouseVo> getAll();

    List<ResultWarehouseVo> getAllByTerm(WarehouseTermVo warehouseTermVo);

    int addWarehouse(Warehouse warehouse);

    int updateWarehouse(UpdateWarehouseVo updateWarehouseVo);

    int delWarehouse(String warehouseNo);

    ResultWarehouseVo getByWarehouseName(String warehouseName);

    List<ResultWarehouseVo> getByAlarm(DelAlarmVo delAlarmVo);
}
