package com.example.tdl.service;


import com.example.tdl.domain.vo.LoginLogTermVo;
import com.example.tdl.domain.vo.ResultLoginLogVo;
import com.example.tdl.entity.LoginLog;
import com.example.tdl.mapper.LoginLogMapper;
import com.example.tdl.mapper.RoleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LoginLogService {
    @Autowired
    private LoginLogMapper loginLogMapper;

    public List<ResultLoginLogVo> getAll(){
        return loginLogMapper.getAll();
    }

    public int addLoginLog(LoginLog loginLog){
        return loginLogMapper.addLoginLog(loginLog);
    }

    public List<ResultLoginLogVo> getByTime(LoginLogTermVo loginLogTermVo){
        return loginLogMapper.getByTime(loginLogTermVo);
    }
}
