package com.example.tdl.service;

import com.example.tdl.domain.vo.ResultModelVo;
import com.example.tdl.domain.vo.UpdateModelVo;
import com.example.tdl.mapper.ModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ModelService {

    @Autowired
    private ModelMapper modelMapper;

    public List<ResultModelVo> getAll(){
        return modelMapper.getAll();
    }

    public int addModel(Map<String,Object> map){
        return modelMapper.addModel(map);
    }

    public int updateModel(UpdateModelVo updateModelVo){
        return modelMapper.updateModel(updateModelVo);
    }

    public int delModel(Map<String,Object> map){
        return modelMapper.delModel(map);
    }

    public ResultModelVo getByModelName(String modelName){
        return modelMapper.getByModelName(modelName);
    }

    //    public PageInfo<ModelVo> getAllByPage(String companyName, Integer page, Integer rows) {
//        PageHelper.startPage(page, rows);
//        List<ModelVo> list = modelMapper.getAll(companyName);
//        return new PageInfo<ModelVo>(list);
//    }
}
