package com.example.tdl.service;

import com.example.tdl.domain.vo.AddTopicConfigVo;
import com.example.tdl.domain.vo.ResultTopicConfigVo;
import com.example.tdl.mapper.TopicConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TopicConfigService {

    @Autowired
    private TopicConfigMapper topicConfigMapper;

    public List<ResultTopicConfigVo> getByTopicName(String topicName){
        return topicConfigMapper.getByTopicName(topicName);
    }

    public int addTopicConfig(AddTopicConfigVo addTopicConfigVo){
        return topicConfigMapper.addTopicConfig(addTopicConfigVo);
    }

    public int delTopicConfig(AddTopicConfigVo addTopicConfigVo){
        return topicConfigMapper.delTopicConfig(addTopicConfigVo);
    }

    public List<ResultTopicConfigVo> getProbes(String topicName, String SN, String type){
        return topicConfigMapper.getProbes(topicName,SN,type);
    }

//    public int updateTopicConfig(TopicConfig topicConfig){
//        return topicConfigMapper.updateTopicConfig(topicConfig);
//    }



//    public TopicConfig getByDevChannelId(Integer devChannelId){
//        return topicConfigMapper.getByDevChannelId(devChannelId);
//    }
}
