package com.example.tdl.service;

import com.example.tdl.domain.vo.AddTopicModelInfoVo;
import com.example.tdl.domain.vo.ResultTopicModelInfoVo;
import com.example.tdl.domain.vo.UpdateTopicModelInfoVo;
import com.example.tdl.mapper.TopicModelInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class TopicModelInfoService {

    @Autowired
    private TopicModelInfoMapper topicModelInfoMapper;

    public List<ResultTopicModelInfoVo> getAll(String topicModelName){
        return topicModelInfoMapper.getAll(topicModelName);
    }


    public int addTopicModelInfo(AddTopicModelInfoVo addTopicModelInfoVo){
        return topicModelInfoMapper.addTopicModelInfo(addTopicModelInfoVo);
    }

    public int updateTopicModelInfo(UpdateTopicModelInfoVo updateTopicModelInfoVo){
        return topicModelInfoMapper.updateTopicModelInfo(updateTopicModelInfoVo);
    }

    public int delTopicModelInfo(Map<String,Object> map){
        return topicModelInfoMapper.delTopicModelInfo(map);
    }

    public ResultTopicModelInfoVo getByTopicModelNameAndTopicName(String topicModelName,String topicName){
        return topicModelInfoMapper.getByTopicModelNameAndTopicName(topicModelName,topicName);
    }

}
