package com.example.tdl.service;

import com.example.tdl.domain.vo.ResultTopicModelVo;
import com.example.tdl.domain.vo.UpdateTopicModelVo;
import com.example.tdl.mapper.TopicModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class TopicModelService {

    @Autowired
    private TopicModelMapper topicModelMapper;

    public List<ResultTopicModelVo> getAll(){
        return topicModelMapper.getAll();
    }


    public int addTopicModel(Map<String,Object> map){
        return topicModelMapper.addTopicModel(map);
    }

    public int updateTopicModel(UpdateTopicModelVo updateTopicModelVo){
        return topicModelMapper.updateTopicModel(updateTopicModelVo);
    }

    public int delTopicModel(Map<String,Object> map){
        return topicModelMapper.delTopicModel(map);
    }

    public ResultTopicModelVo getByTopicModelName(String topicModelName){
        return topicModelMapper.getByTopicModelName(topicModelName);
    }

    public int getTopicModelCount(){
        return topicModelMapper.getTopicModelCount();
    }

}
