package com.example.tdl.service;

import com.example.tdl.domain.vo.GatewaySNAndTypeVo;
import com.example.tdl.domain.vo.ResultTopicVo;
import com.example.tdl.domain.vo.UpdateTopicVo;
import com.example.tdl.mapper.TopicMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class TopicService {

    @Autowired
    private TopicMapper topicMapper;

    //获取一设备所有的主题
    public List<ResultTopicVo> getByGateway(GatewaySNAndTypeVo gatewaySNAndTypeVo){
        return topicMapper.getByGateway(gatewaySNAndTypeVo);
    }

    public ResultTopicVo getByTopicName(String SN,String type,String topicName){
        return topicMapper.getByTopicName(SN,type,topicName);
    }

    //新增主题
    public int addTopic(Map<String,Object> map){
        return topicMapper.addTopic(map);
    }

    public int updateTopic(UpdateTopicVo updateTopicVo){
        return topicMapper.updateTopic(updateTopicVo);
    }

    public int delTopic(Map<String,Object> map){
        return topicMapper.delTopic(map);
    }

//    public List<TopicResultVo> getTopicByCompanyName(String companyName){
//        return topicMapper.getTopicByCompanyName(companyName);
//    }

//    public List<Topic> getAll(Device device){
//        return topicMapper.getAll(device);
//    }

    ////根据设备查询主题
//    public List<TopicVo> getTypeByDevcie(String SN, String type){
//        return topicMapper.getTypeByDevcie(SN,type);
//    }


}
