package com.example.tdl.service;


import com.example.tdl.domain.vo.ResultUserAddressVo;
import com.example.tdl.mapper.UserAddressMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service
public class UserAddressService {
    @Autowired
    private UserAddressMapper userAddressMapper;

    public List<ResultUserAddressVo> getByUserNumber(String userNumber){
        return userAddressMapper.getByUserNumber(userNumber);
    }

    public int addUserAddress(Map<Object,Object> map){
        return userAddressMapper.addUserAddress(map);
    }

    public int updateUserAddress(Map<Object,Object> map){
        return userAddressMapper.updateUserAddress(map);
    }

    public int delUserAddress(String userNumber,String name){
        return userAddressMapper.delUserAddress(userNumber,name);
    }

    public ResultUserAddressVo getByUserNumberAndName(String userNumber,String name){
        return userAddressMapper.getByUserNumberAndName(userNumber,name);
    }
}
