package com.example.tdl.config.mqtt;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: lelouch
 * @Description:
 * @Date: Created in 9:25 2018/3/13
 * @Modified By:
 **/
@Configuration
@ConfigurationProperties(prefix = "tdl.mqtt")
public class MqttConfig {

    private String url;
    private String port;
    private String username;
    private String password;
    private int qos;
    private String cacrt;
    private String clientkey;
    private String clientcrt;
    private String clientpwd;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getQos() {
        return qos;
    }

    public void setQos(int qos) {
        this.qos = qos;
    }

    public String getCacrt() {
        return cacrt;
    }

    public void setCacrt(String cacrt) {
        this.cacrt = cacrt;
    }

    public String getClientkey() {
        return clientkey;
    }

    public void setClientkey(String clientkey) {
        this.clientkey = clientkey;
    }

    public String getClientcrt() {
        return clientcrt;
    }

    public void setClientcrt(String clientcrt) {
        this.clientcrt = clientcrt;
    }

    public String getClientpwd() {
        return clientpwd;
    }

    public void setClientpwd(String clientpwd) {
        this.clientpwd = clientpwd;
    }


}
