package com.example.tdl.entity;

import java.io.Serializable;

/*
* 路由表
*
* */
public class Route implements Serializable {

    private Serializable serializable = 1L;

    private Integer id;

    private String routeNumber;

    private String routeName;

    private String abbreviation;

    private String startLongitude;

    private String startLatitude;

    private String startCountry;

    private String startProvince;

    private String startCity;

    private String startAddress;

    private String endLongitude;

    private String endLatitude;

    private String endCountry;

    private String endProvince;

    private String endCity;

    private String endAddress;

    private String transport;

    private String transportRemark;

    private Long createTime;

    private Long updateTime;

    private String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRouteNumber() {
        return routeNumber;
    }

    public void setRouteNumber(String routeNumber) {
        this.routeNumber = routeNumber;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getAbbreviation() {
        return abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    public String getStartLongitude() {
        return startLongitude;
    }

    public void setStartLongitude(String startLongitude) {
        this.startLongitude = startLongitude;
    }

    public String getStartLatitude() {
        return startLatitude;
    }

    public void setStartLatitude(String startLatitude) {
        this.startLatitude = startLatitude;
    }

    public String getStartCountry() {
        return startCountry;
    }

    public void setStartCountry(String startCountry) {
        this.startCountry = startCountry;
    }

    public String getStartProvince() {
        return startProvince;
    }

    public void setStartProvince(String startProvince) {
        this.startProvince = startProvince;
    }

    public String getStartCity() {
        return startCity;
    }

    public void setStartCity(String startCity) {
        this.startCity = startCity;
    }

    public String getStartAddress() {
        return startAddress;
    }

    public void setStartAddress(String startAddress) {
        this.startAddress = startAddress;
    }

    public String getEndLongitude() {
        return endLongitude;
    }

    public void setEndLongitude(String endLongitude) {
        this.endLongitude = endLongitude;
    }

    public String getEndLatitude() {
        return endLatitude;
    }

    public void setEndLatitude(String endLatitude) {
        this.endLatitude = endLatitude;
    }

    public String getEndCountry() {
        return endCountry;
    }

    public void setEndCountry(String endCountry) {
        this.endCountry = endCountry;
    }

    public String getEndProvince() {
        return endProvince;
    }

    public void setEndProvince(String endProvince) {
        this.endProvince = endProvince;
    }

    public String getEndCity() {
        return endCity;
    }

    public void setEndCity(String endCity) {
        this.endCity = endCity;
    }

    public String getEndAddress() {
        return endAddress;
    }

    public void setEndAddress(String endAddress) {
        this.endAddress = endAddress;
    }

    public String getTransport() {
        return transport;
    }

    public void setTransport(String transport) {
        this.transport = transport;
    }

    public String getTransportRemark() {
        return transportRemark;
    }

    public void setTransportRemark(String transportRemark) {
        this.transportRemark = transportRemark;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Route(String routeNumber, String routeName, String abbreviation, String startLongitude, String startLatitude, String startCountry, String startProvince, String startCity, String startAddress, String endLongitude, String endLatitude, String endCountry, String endProvince, String endCity, String endAddress, String transport, String transportRemark, String remark) {
        this.routeNumber = routeNumber;
        this.routeName = routeName;
        this.abbreviation = abbreviation;
        this.startLongitude = startLongitude;
        this.startLatitude = startLatitude;
        this.startCountry = startCountry;
        this.startProvince = startProvince;
        this.startCity = startCity;
        this.startAddress = startAddress;
        this.endLongitude = endLongitude;
        this.endLatitude = endLatitude;
        this.endCountry = endCountry;
        this.endProvince = endProvince;
        this.endCity = endCity;
        this.endAddress = endAddress;
        this.transport = transport;
        this.transportRemark = transportRemark;
        this.remark = remark;
    }

    public Route(String routeNumber, String routeName, String abbreviation, String startLongitude, String startLatitude, String startCountry, String startProvince, String startCity, String startAddress, String endLongitude, String endLatitude, String endCountry, String endProvince, String endCity, String endAddress, String transport, String transportRemark, Long createTime, Long updateTime, String remark) {
        this.routeNumber = routeNumber;
        this.routeName = routeName;
        this.abbreviation = abbreviation;
        this.startLongitude = startLongitude;
        this.startLatitude = startLatitude;
        this.startCountry = startCountry;
        this.startProvince = startProvince;
        this.startCity = startCity;
        this.startAddress = startAddress;
        this.endLongitude = endLongitude;
        this.endLatitude = endLatitude;
        this.endCountry = endCountry;
        this.endProvince = endProvince;
        this.endCity = endCity;
        this.endAddress = endAddress;
        this.transport = transport;
        this.transportRemark = transportRemark;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.remark = remark;
    }

    public Route(String routeNumber, String routeName, String abbreviation, String startLongitude, String startLatitude, String startCountry, String startProvince, String startCity, String startAddress, String endLongitude, String endLatitude, String endCountry, String endProvince, String endCity, String endAddress, String transport, String transportRemark, Long updateTime, String remark) {
        this.routeNumber = routeNumber;
        this.routeName = routeName;
        this.abbreviation = abbreviation;
        this.startLongitude = startLongitude;
        this.startLatitude = startLatitude;
        this.startCountry = startCountry;
        this.startProvince = startProvince;
        this.startCity = startCity;
        this.startAddress = startAddress;
        this.endLongitude = endLongitude;
        this.endLatitude = endLatitude;
        this.endCountry = endCountry;
        this.endProvince = endProvince;
        this.endCity = endCity;
        this.endAddress = endAddress;
        this.transport = transport;
        this.transportRemark = transportRemark;
        this.updateTime = updateTime;
        this.remark = remark;
    }

    public Route() {
    }
}
