package com.example.tdl.mapper;

import com.example.tdl.domain.vo.AddAlarmLogVo;
import com.example.tdl.domain.vo.AlarmLogVo;
import com.example.tdl.domain.vo.HistogramData;
import com.example.tdl.domain.vo.ResultAlarmLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AlarmLogMapper {
    //获取所有的数据
    List<ResultAlarmLog> getAll();

    //根据条件获取报警数据
    List<AlarmLogVo> getAlarmLog(String time);

    //新增报警数据
    int  addAlarmLog(AddAlarmLogVo addAlarmLogVo);

    List<ResultAlarmLog> getByTransportationNo(String transportationNo);

    Integer getCount(String time);

    Integer getBumpCount(String time);

    List<HistogramData> getByCount(String time);

    Integer getByTime(@Param("transportationNo") String transportationNo,@Param("startTime") Long startTime, @Param("endTime") Long endTime);
}
