package com.example.tdl.mapper;

import com.example.tdl.domain.vo.GatewayState;
import com.example.tdl.domain.vo.ResultGatewayVo;
import com.example.tdl.domain.vo.UpdateGatewayVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface GatewayMapper {
    List<ResultGatewayVo> getAll();

    int addGateway(Map<Object,Object> map);

    int updateGateway(UpdateGatewayVo updateGatewayVo);

    int delGateway(Map<Object,Object> map);

    ResultGatewayVo getBySNAndType(@Param("SN") String SN,@Param("type") String type);

    int getIdBySNAndType(@Param("SN") String SN,@Param("type") String type);

    int deployGateway(Map<Object,Object> map);

    String getBySN(String SN);

    Integer updateState(GatewayState gatewayState);
}
