package com.example.tdl.mapper;

import com.example.tdl.domain.vo.AddTopicModelInfoVo;
import com.example.tdl.domain.vo.ResultTopicModelInfoVo;
import com.example.tdl.domain.vo.UpdateTopicModelInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface TopicModelInfoMapper {

    List<ResultTopicModelInfoVo> getAll(String topicModelName);

    int addTopicModelInfo(AddTopicModelInfoVo addTopicModelInfoVo);

    int updateTopicModelInfo(UpdateTopicModelInfoVo updateTopicModelInfoVo);

    int delTopicModelInfo(Map<String, Object> map);

    ResultTopicModelInfoVo getByTopicModelNameAndTopicName(@Param("topicModelName") String topicModelName, @Param("topicName") String topicName);

}
