package com.example.tdl.mapper;

import com.example.tdl.domain.vo.ResultTopicModelVo;
import com.example.tdl.domain.vo.UpdateTopicModelVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface TopicModelMapper {

    List<ResultTopicModelVo> getAll();

    int addTopicModel(Map<String, Object> map);

    int updateTopicModel(UpdateTopicModelVo updateTopicModelVo);

    int delTopicModel(Map<String, Object> map);

    ResultTopicModelVo getByTopicModelName(String topicModelName);

    int getTopicModelCount();

}
