package com.example.tdl.mapper;

import com.example.tdl.domain.vo.ResultTransferModelVo;
import com.example.tdl.domain.vo.UpdateTransferModelVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface TransferModelMapper {

    List<ResultTransferModelVo> getAll();

    int addTransferModel(Map<String, Object> map);

    int updateTransferModel(UpdateTransferModelVo updateTransferModelVo);

    int delTransferModel(Map<String, Object> map);

    ResultTransferModelVo getByTransferNo(String transferNo);

    ResultTransferModelVo getByTransferModelName(String transferModelName);

}
