package com.example.tdl.mapper;


import com.example.tdl.domain.vo.ResultUserAddressVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface UserAddressMapper {
    List<ResultUserAddressVo> getByUserNumber(String userNumber);

    int addUserAddress(Map<Object,Object> map);

    int updateUserAddress(Map<Object,Object> map);

    int delUserAddress(@Param("userNumber") String userNumber, @Param("name") String name);

    ResultUserAddressVo getByUserNumberAndName(@Param("userNumber") String userNumber,@Param("name") String name);
}
