package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserMapper {

    int login(LoginUserVo loginUserVo);

    UserVo getByUserName(String userName);

    List<ResultUserVo> getAll();

    List<ResultUserVo> getByTerm(UserTermVo userTermVo);

    ResultUserVo getByPhone(String phone);

    ResultUserVo getByEmail(String email);

    ResultUserVo getByUserNumber(String userNumber);

    int addUser(AddUserVo addUserVo);

    int updateUser(UpdateUserVo userVo);

    int delUser(String userNumber);

    int updatePassword(UpdatePasswordVo updatePasswordVo);
}
