package com.example.tdl.service;


import com.example.tdl.domain.vo.CircuitTransferVo;
import com.example.tdl.domain.vo.UpdateCircuitTransferArrivalTimeVo;
import com.example.tdl.domain.vo.UpdateCircuitTransferStartTimeVo;
import com.example.tdl.mapper.CircuitTransferMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CircuitTransferService {

    @Autowired
    private CircuitTransferMapper circuitTransferMapper;

    public List<CircuitTransferVo> getCity(String transportationNo){
        return circuitTransferMapper.getCity(transportationNo);
    }

    public int updateArrivalTime(UpdateCircuitTransferArrivalTimeVo updateCircuitTransferVo){
        return circuitTransferMapper.updateArrivalTime(updateCircuitTransferVo);
    }

    public int updateStartTime(UpdateCircuitTransferStartTimeVo updateCircuitTransferStartTimeVo){
        return circuitTransferMapper.updateStartTime(updateCircuitTransferStartTimeVo);
    }
}
