package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.GatewayMapper;
import com.example.tdl.mapper.RoleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class GatewayService {
    @Autowired
    private GatewayMapper gatewayMapper;

    public List<ResultGatewayVo> getAll(){
        return gatewayMapper.getAll();
    }

    public int addGateway(Map<Object,Object> map){
        return gatewayMapper.addGateway(map);
    }

    public int updateGateway(UpdateGatewayVo updateGatewayVo){
        return gatewayMapper.updateGateway(updateGatewayVo);
    }

    public int delGateway(Map<Object,Object> map){
        return gatewayMapper.delGateway(map);
    }

    public ResultGatewayVo getBySNAndType(String SN,String type){
        return gatewayMapper.getBySNAndType(SN,type);
    }

    public int getIdBySNAndType(String SN,String type){
        return gatewayMapper.getIdBySNAndType(SN,type);
    }

    public int deployGateway(Map<Object,Object> map){
        return gatewayMapper.deployGateway(map);
    }

    public String getBySN(String SN){
        return gatewayMapper.getBySN(SN);
    }

    public Boolean updateState(GatewayState gatewayState){
        return gatewayMapper.updateState(gatewayState)==1;
    }
}
