package com.example.tdl.service;

import com.example.tdl.domain.vo.AddModelInfoVo;
import com.example.tdl.domain.vo.DelModelInfoVo;
import com.example.tdl.domain.vo.ModelInfoTermVo;
import com.example.tdl.domain.vo.ResultModelInfoVo;
import com.example.tdl.mapper.ModelInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ModelInfoService {

    @Autowired
    private ModelInfoMapper modelInfoMapper;


    public List<ResultModelInfoVo> getAll(String modelName){
        return modelInfoMapper.getAll(modelName);
    }


    public int addModelInfo(AddModelInfoVo addModelInfoVo){
        return modelInfoMapper.addModelInfo(addModelInfoVo);
    }

    public int delModelInfo(DelModelInfoVo delModelInfoVo){
        return modelInfoMapper.delModelInfo(delModelInfoVo);
    }

    public ResultModelInfoVo getByPortAndTopicName(ModelInfoTermVo modelInfoTermVo){
        return modelInfoMapper.getByPortAndTopicName(modelInfoTermVo);
    }

}
