package com.example.tdl.service;

import com.example.tdl.domain.vo.AddProbesModelInfoVo;
import com.example.tdl.domain.vo.ResultProbesModelInfoVo;
import com.example.tdl.domain.vo.UpdateProbesModelInfoVo;
import com.example.tdl.mapper.ProbesModelInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ProbesModelInfoService {

    @Autowired
    private ProbesModelInfoMapper probesModelInfoMapper;


    //根据模板名获取所有的通道

    public List<ResultProbesModelInfoVo> getAll(String probesModelName){
        return probesModelInfoMapper.getAll(probesModelName);
    }

    public int addProbesModelInfo(AddProbesModelInfoVo addProbesModelInfoVo){
        return  probesModelInfoMapper.addProbesModelInfo(addProbesModelInfoVo);
    }

    public int getCountByProbesModelName(Integer probesModelId){
        return  probesModelInfoMapper.getCountByProbesModelName(probesModelId);
    }

    public int delProbesModelInfo(Map<String,Object> map){
        return probesModelInfoMapper.delProbesModelInfo(map);
    }

    public int updateProbesModelInfo(UpdateProbesModelInfoVo updateProbesModelInfoVo){
        return probesModelInfoMapper.updateProbesModelInfo(updateProbesModelInfoVo);
    }

    public ResultProbesModelInfoVo getByAlias(Integer probesModelId,String alias){
        return probesModelInfoMapper.getByAlias(probesModelId,alias);
    }

    public ResultProbesModelInfoVo getByPort(Integer probesModelId,int port){
        return probesModelInfoMapper.getByPort(probesModelId,port);
    }






//    public int delAllDevChannelModule(Map<String,String> map){
//            return probesModelInfoMapper.delAllDevChannelModule(map);
//    }

    //    public PageInfo<DevChannelModule> queryByPage(String companyName,String moduleName,Integer page,Integer rows){
//        PageHelper.startPage(page,rows);
//        List<DevChannelModule> list = devChannelModuleMapper.getAll(companyName,moduleName);
//        return  new PageInfo<DevChannelModule>(list);
//
//    }


/*    public int updateMoreDevChannelModule(Map<String,Object> map){
        return devChannelModuleMapper.updateMoreDevChannelModule(map);
    }*/
}
