package com.example.tdl.service;

import com.example.tdl.domain.vo.ResultProbesModelVo;
import com.example.tdl.domain.vo.UpdateProbesModelVo;
import com.example.tdl.mapper.ProbesModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ProbesModelService {

    @Autowired
    private ProbesModelMapper probesModelMapper;


    public List<ResultProbesModelVo> getAll(){
        return probesModelMapper.getAll();
    }

    //新增通道
    public int addProbesModel(Map<String,Object> map){
        return  probesModelMapper.addProbesModel(map);
    }

    //根据模板名查询模版信息
    public ResultProbesModelVo getByProbesModelName(String probesModelName){
        return  probesModelMapper.getByProbesModelName(probesModelName);
    }

    //删除
    public int delProbesModel(Map<String,Object> map){
        return probesModelMapper.delProbesModel(map);
    }

    //修改
    public int updateChannelModule(UpdateProbesModelVo updateProbesModelVo){
        return probesModelMapper.updateProbesModel(updateProbesModelVo);
    }

    //获取该公司下所有模板个数
    public int getProbesModelCount(){
        return  probesModelMapper.getProbesModelCount();
    }

    public int getIdByProbesModel(String probesModelName){
        return probesModelMapper.getIdByProbesModel(probesModelName);
    }
}
