package com.example.tdl.service;


import com.example.tdl.domain.vo.ResultTransferModelConfigVo;
import com.example.tdl.mapper.TransferModelConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service
public class TransferModelConfigService {

    @Autowired
    private TransferModelConfigMapper transferModelConfigMapper;

    public List<ResultTransferModelConfigVo> getAll(String transferNo){
        return transferModelConfigMapper.getAll(transferNo);
    }

    public int updateTransferModelConfig(Map<Object,Object> map){
        return transferModelConfigMapper.updateTransferModelConfig(map);
    }

}
