package com.example.tdl.service;

import com.example.tdl.domain.vo.ResultTransferModelVo;
import com.example.tdl.domain.vo.UpdateTransferModelVo;
import com.example.tdl.mapper.TransferModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class TransferModelService {

    @Autowired
    private TransferModelMapper transferModelMapper;

    public List<ResultTransferModelVo> getAll(){
        return transferModelMapper.getAll();
    }

    public int addTransferModel(Map<String,Object> map){
        return transferModelMapper.addTransferModel(map);
    }

    public int updateTransferModel(UpdateTransferModelVo updateTransferModelVo){
        return transferModelMapper.updateTransferModel(updateTransferModelVo);
    }

    public int delTransferModel(Map<String,Object> map){
        return transferModelMapper.delTransferModel(map);
    }

    public ResultTransferModelVo getByTransferNo(String modelName){
        return transferModelMapper.getByTransferNo(modelName);
    }

    public ResultTransferModelVo getByTransferModelName(String transferModelName){
        return transferModelMapper.getByTransferModelName(transferModelName);
    }

}
