package com.example.tdl.shiro;

import org.apache.commons.codec.digest.DigestUtils;
import org.apache.shiro.authc.AuthenticationInfo;
import org.apache.shiro.authc.AuthenticationToken;
import org.apache.shiro.authc.UsernamePasswordToken;
import org.apache.shiro.authc.credential.HashedCredentialsMatcher;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class UserCredentialsMatcher extends HashedCredentialsMatcher {

    private Logger logger = LoggerFactory.getLogger(UserCredentialsMatcher.class);

    //密码比较器
    public boolean doCredentialsMatch(AuthenticationToken token,
                                      AuthenticationInfo info){
        UsernamePasswordToken upToken = (UsernamePasswordToken) token;
        char[] pwd = upToken.getPassword();
        //String newPwd = Encrypt.md5(new String(pwd), upToken.getUsername());
        String newPwd = DigestUtils.sha256Hex(new String(pwd));
//        logger.info(newPwd);
        Object dbPwd = info.getCredentials();
        Boolean boo = equals(newPwd, dbPwd);
         return boo;
    }
}
